package com.rjconsultores.ventaboletos.blocos.sicoob;

import java.math.BigDecimal;
import java.util.Date;

import com.rjconsultores.ventaboletos.blocos.DetalheObrigatorio;
import com.rjconsultores.ventaboletos.enuns.AceiteBB;

public class DetalheObrigatorioSicoob implements DetalheObrigatorio, Cloneable {

	private Integer loteServico;
	private Integer numSeqRegistro;
	private String numAgencia;
	private String digAgencia;
	private String numContaCorrente;
	private String digContaCorrente;
	private String digAgenciaConta;
	private String nossoNumero;
	private Integer codCarteira;
	private String formaCadTituloBanco;
	private String tipoDocumento;
	private String identEmissaoBloqueto;
	private String identDistribuicao;
	private String numeroDoDocumento;
	private Date vencimento;
	private BigDecimal valor;
	private String agenciaCobradora;
	private String digAgenciaCobradora;
	private AceiteBB aceite;
	private Date emissao;
	private Integer codMora;
	private Date dataMora;
	private BigDecimal jurosDeMora;
	private Integer codigoDesconto;
	private Date dataDesconto;
	private BigDecimal descontoConcedido;
	private BigDecimal iofDevido;
	private BigDecimal abatimentoConcedido;
	private String nossoNumeroEmp;
	private Integer codigoProtesto;
	private Integer diasProtesto;
	private Integer codigoBaixa;
	private Integer diasBaixa;
	private Integer numeroContrato;
	private String usoExclusivo;
	private Integer idBoletoFechamento;
	
	private DetalheObrigatorioDadosPagadorSicoob detalheObrigatorioDadosPagadorSicoob;

	public Integer getLoteServico() {
		return loteServico;
	}

	public void setLoteServico(Integer loteServico) {
		this.loteServico = loteServico;
	}

	public Integer getNumSeqRegistro() {
		return numSeqRegistro;
	}

	public void setNumSeqRegistro(Integer numSeqRegistro) {
		this.numSeqRegistro = numSeqRegistro;
	}

	public String getNumAgencia() {
		return numAgencia;
	}

	public void setNumAgencia(String numAgencia) {
		this.numAgencia = numAgencia;
	}

	public String getDigAgencia() {
		return digAgencia;
	}

	public void setDigAgencia(String digAgencia) {
		this.digAgencia = digAgencia;
	}

	public String getNumContaCorrente() {
		return numContaCorrente;
	}

	public void setNumContaCorrente(String numContaCorrente) {
		this.numContaCorrente = numContaCorrente;
	}

	public String getDigContaCorrente() {
		return digContaCorrente;
	}

	public void setDigContaCorrente(String digContaCorrente) {
		this.digContaCorrente = digContaCorrente;
	}

	public String getDigAgenciaConta() {
		return digAgenciaConta;
	}

	public void setDigAgenciaConta(String digAgenciaConta) {
		this.digAgenciaConta = digAgenciaConta;
	}

	public String getNossoNumero() {
		return nossoNumero;
	}

	public void setNossoNumero(String nossoNumero) {
		this.nossoNumero = nossoNumero;
	}

	public Integer getCodCarteira() {
		return codCarteira;
	}

	public void setCodCarteira(Integer codCarteira) {
		this.codCarteira = codCarteira;
	}

	public String getFormaCadTituloBanco() {
		return formaCadTituloBanco;
	}

	public void setFormaCadTituloBanco(String formaCadTituloBanco) {
		this.formaCadTituloBanco = formaCadTituloBanco;
	}

	public String getTipoDocumento() {
		return tipoDocumento;
	}

	public void setTipoDocumento(String tipoDocumento) {
		this.tipoDocumento = tipoDocumento;
	}

	public String getIdentEmissaoBloqueto() {
		return identEmissaoBloqueto;
	}

	public void setIdentEmissaoBloqueto(String identEmissaoBloqueto) {
		this.identEmissaoBloqueto = identEmissaoBloqueto;
	}

	public String getIdentDistribuicao() {
		return identDistribuicao;
	}

	public void setIdentDistribuicao(String identDistribuicao) {
		this.identDistribuicao = identDistribuicao;
	}

	public String getNumeroDoDocumento() {
		return numeroDoDocumento;
	}

	public void setNumeroDoDocumento(String numeroDoDocumento) {
		this.numeroDoDocumento = numeroDoDocumento;
	}

	public Date getVencimento() {
		return vencimento;
	}

	public void setVencimento(Date vencimento) {
		this.vencimento = vencimento;
	}

	public BigDecimal getValor() {
		return valor;
	}

	public void setValor(BigDecimal valor) {
		this.valor = valor;
	}

	public String getAgenciaCobradora() {
		return agenciaCobradora;
	}

	public void setAgenciaCobradora(String agenciaCobradora) {
		this.agenciaCobradora = agenciaCobradora;
	}

	public String getDigAgenciaCobradora() {
		return digAgenciaCobradora;
	}

	public void setDigAgenciaCobradora(String digAgenciaCobradora) {
		this.digAgenciaCobradora = digAgenciaCobradora;
	}

	public AceiteBB getAceite() {
		return aceite;
	}

	public void setAceite(AceiteBB aceite) {
		this.aceite = aceite;
	}

	public Date getEmissao() {
		return emissao;
	}

	public void setEmissao(Date emissao) {
		this.emissao = emissao;
	}

	public Integer getCodMora() {
		return codMora;
	}

	public void setCodMora(Integer codMora) {
		this.codMora = codMora;
	}

	public Date getDataMora() {
		return dataMora;
	}

	public void setDataMora(Date dataMora) {
		this.dataMora = dataMora;
	}

	public BigDecimal getJurosDeMora() {
		return jurosDeMora;
	}

	public void setJurosDeMora(BigDecimal jurosDeMora) {
		this.jurosDeMora = jurosDeMora;
	}

	public Integer getCodigoDesconto() {
		return codigoDesconto;
	}

	public void setCodigoDesconto(Integer codigoDesconto) {
		this.codigoDesconto = codigoDesconto;
	}

	public Date getDataDesconto() {
		return dataDesconto;
	}

	public void setDataDesconto(Date dataDesconto) {
		this.dataDesconto = dataDesconto;
	}

	public BigDecimal getDescontoConcedido() {
		return descontoConcedido;
	}

	public void setDescontoConcedido(BigDecimal descontoConcedido) {
		this.descontoConcedido = descontoConcedido;
	}

	public BigDecimal getAbatimentoConcedido() {
		return abatimentoConcedido;
	}

	public void setAbatimentoConcedido(BigDecimal abatimentoConcedido) {
		this.abatimentoConcedido = abatimentoConcedido;
	}

	public String getNossoNumeroEmp() {
		return nossoNumeroEmp;
	}

	public void setNossoNumeroEmp(String nossoNumeroEmp) {
		this.nossoNumeroEmp = nossoNumeroEmp;
	}

	public Integer getCodigoProtesto() {
		return codigoProtesto;
	}

	public void setCodigoProtesto(Integer codigoProtesto) {
		this.codigoProtesto = codigoProtesto;
	}

	public Integer getDiasProtesto() {
		return diasProtesto;
	}

	public void setDiasProtesto(Integer diasProtesto) {
		this.diasProtesto = diasProtesto;
	}

	public Integer getCodigoBaixa() {
		return codigoBaixa;
	}

	public void setCodigoBaixa(Integer codigoBaixa) {
		this.codigoBaixa = codigoBaixa;
	}

	public Integer getDiasBaixa() {
		return diasBaixa;
	}

	public void setDiasBaixa(Integer diasBaixa) {
		this.diasBaixa = diasBaixa;
	}

	public Integer getNumeroContrato() {
		return numeroContrato;
	}

	public void setNumeroContrato(Integer numeroContrato) {
		this.numeroContrato = numeroContrato;
	}

	public String getUsoExclusivo() {
		return usoExclusivo;
	}

	public void setUsoExclusivo(String usoExclusivo) {
		this.usoExclusivo = usoExclusivo;
	}

	public Integer getIdBoletoFechamento() {
		return idBoletoFechamento;
	}

	public void setIdBoletoFechamento(Integer idBoletoFechamento) {
		this.idBoletoFechamento = idBoletoFechamento;
	}

	public DetalheObrigatorioDadosPagadorSicoob getDetalheObrigatorioDadosPagadorSicoob() {
		return detalheObrigatorioDadosPagadorSicoob;
	}

	public void setDetalheObrigatorioDadosPagadorSicoob(
			DetalheObrigatorioDadosPagadorSicoob detalheObrigatorioDadosPagadorSicoob) {
		this.detalheObrigatorioDadosPagadorSicoob = detalheObrigatorioDadosPagadorSicoob;
	}

	@Override
	public void setNumeroSequencialRegistro(Integer numeroSequencialRegistro) {
		// TODO Auto-generated method stub
		
	}

	public BigDecimal getIofDevido() {
		return iofDevido;
	}

	public void setIofDevido(BigDecimal iofDevido) {
		this.iofDevido = iofDevido;
	} 
}
